/*------------------------------------------------------------------------------
--  This file is a part of the ExeCut Software
--  Copyright (C) 2014, Plasma Physics Laboratory - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    qApp->setStyleSheet("QGroupBox {\
                        border: 1px solid gray;\
                        border-radius: 9px;\
                        margin-top: 0.5em;\
                    }\
                    \
                    QGroupBox::title {\
                        subcontrol-origin: margin;\
                        left: 10px;\
                        padding: 0 3px 0 3px;\
                    }\ ");
     this->p_about = new aboutExecut();
     layout()->setContentsMargins(0,0,0,0);
     connect(this->ui->actionQuit,SIGNAL(triggered()),this,SLOT(close()));
     connect(this->ui->actionOpen,SIGNAL(triggered()),this->ui->binFileWdgt,SLOT(openFile()));
     connect(this->ui->actionAbout,SIGNAL(triggered()),this,SLOT(showAboutBox()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::showAboutBox()
{
    p_about->show();
}

